{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}"class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Richiesta fornitura</div>
    </div>
  </div>

  <h2 class="ui center aligned header fly" style="margin-top: 20px; margin-left: 20px; display: none">
    <i class="shopping cart icon"></i>
    <div class="content" style="font-size: 38px">
      <em><strong>Richiedi fornitura</strong></em>
    </div>
  </h2>

  <div class="ui divider"></div>

    {% if ristorante.fornitori is empty %}
      <div class="ui yellow message"><i class="close icon"></i>Non ci sono fornitori disponibili per questo ristorante.</div>
    {% else %}
    <form id="richiedi-fornitura-form" method="post" data-id="{{ristorante.id}}">
      <i class="ui warning sign icon"></i><small><em>Seleziona solamente <strong>1 prodotto</strong> da inserire nella richiesta di fornitura.</em></small>
      <div class="ui grid" style="margin: 0; padding: 0">
        <div class="eight wide column">
          <h3 class="ui header">Prodotti</h3>
          <div class="ui divider"></div>
          <div class="grouped fields">
            {% for prodotto in prodotti %}
              <div class="field" style="margin-bottom: 15px">
                <div class="ui toggle checkbox">
                  <input class="select-product" type="radio" name="prodotto" data-id="{{prodotto.id}}" value="{{prodotto.id}}"/>
                  <label>{{prodotto.nome}}</label>
                </div>
              </div>
            {% endfor %}
          </div>
          <div class="ui right labeled left icon input">
            <i class="tags icon"></i>
            <input id="quantita-prodotto" type="number" name="quantita" min="0">
            <a class="ui blue tag label">Quantità</a>
          </div>
        </div>
        <div class="eight wide column">
          <h3 class="ui header">Fornitori</h3>
          <div class="ui divider"></div>
          <div class="loader" style="display: none"></div>
          <div id="fornitori-forniture" style="text-align:center;" class="required grouped fields">

          </div>
        </div>
      </div>

      <div class="ui divider"></div>

      <button style="margin: 0; display: inline; float:right" type="submit" class="submit-button ui right floated labeled icon primary button">
        <i class="shopping cart icon"></i> Richiedi Fornitura
      </button>

      <div class="ui tag labels" style="display: inline; float:right; margin-bottom: 3%">
        <a id="prezzo-totale-fornitura" class="ui yellow large label">
          0 €
        </a>
        <input id="totale" type="hidden" name="prezzo-totale"/>
      </div>

    </form>


  {% endif %}

  {% block javascripts %}

  {% endblock %}

{% endblock %}
